Subject: Re: [dispatch] Proposal to form Internet Wideband Audio Codec WG

From: Eric Burger <[email-masked]>
Date: Mon, 1 Jun 2009 18:02:22 -0400

I again have to point out, as I did with iLBC, that just because  
something is Open Source and submitted Without IPR and, as proposed  
here, done in a non-IPR regime, does NOT necessarily mean the result  
is without encumbrances.

Since I like to keep people away from trouble, I won't quote existing  
IPR. Let's look at some expired IPR instead.

If your proposed codec used LPC, it would violate a Philips patent.  
For that matter, it would step on a handful of TI patents.

I would guess (but I have NOT done a search), if the proposed codec  
used FFT, DCT, physiological modeling, filtering, etc., it would step  
on a handful of patents.

I would offer the math work for developing a codec is something  
outside the IETF area of expertise.  I suppose it is right and proper  
to ask the question, as to counter Joel's take-it-to-the-logical- 
conclusion the IETF should do everything (not), one could ask if the  
IETF should not ever do anything new (I would offer: not).

I would also offer the protocol work for such a codec is something the  
IETF really, really should do.  If that work is somehow different than  
the AVT work, for example, if such a codec required a transport that  
RTP/SRTP cannot provide, then a new work group would be in order.

My vote is the IETF does not have the expertise to do the math part.   
My vote is the IETF has the best expertise for the protocol part.

On May 29, 2009, at 11:45 AM, Henry Sinnreich wrote:

> Spencer,
>
> Yes, your points show exactly why we need a new WG in the IETF  
> chartered specifically for a standard for an Internet voice (and why  
> not video as well) codec.
>
> The _global_ standard nature, royalty free, open source aspects will  
> most likely warm the heart of most Internet folks.
>
> The determining factor will be if there are contributors willing to  
> do the work of writing the I-Ds for the requirements, algorithm,  
> code and last but not least show  measurements about performance. I  
> see signs that we may have very valuable contributions.
>
> We can gage the interest for such a WG by the attendance in the BOF  
> at the 75 IETF in July.
> Please just give it a chance.
> We may soon be in the fortunate position to finally have an Internet  
> voice codec standard!
>
> Henry
>
>
> On 5/29/09 9:56 AM, "Spencer Dawkins" <[email-masked]>  
> wrote:
>
> Hi, Henry,
>
> I may have misunderstood Roni's point, but I thought that he was  
> saying that audio codec types don't participate in the IETF today,  
> because the IETF does not develop audio codecs (and AVT is  
> prohibited by charter from producing one, because of a stated belief  
> that we don't have the expertise in the IETF to do this work).
>
> Thanks,
>
> Spencer
>
> ----- Original Message -----
>
> From:  Henry  Sinnreich <mailto:[email-masked]>
>
> To: Roni Even <mailto:[email-masked]>  ; Jason  Fischl <mailto:[email-masked] 
> >  ; [email-masked]
>
> Sent: Thursday, May 28, 2009 10:28  AM
>
> Subject: Re: [dispatch] Proposal to form  Internet Wideband Audio  
> Codec WG
>
>
> Roni,
>
> Sorry, we have here a fundamental  disagreement.
> The IETF is chartered for Internet standards and may or may  not  
> chose solutions that apply to ITU-T networks.
> The Internet has  different criteria than ITU-T networks may have.
> A worldwide Internet  standard for a wideband codec will be very  
> beneficial  IMO.
>
> Henry
>
>
> On 5/28/09 9:45 AM, "Roni Even" <[email-masked]>  wrote:
>
>
> Hi,
> Like you mention other SDOs like ITU-T are  doing just that. They  
> have the
> expertise to specify, and evaluate the  result. These SDOs can receive
> requirements and select a proper codec  based on the requirements.
>
>
> As for the other reasons:
>
> 1.  Defining a codec in the IETF or even in MPEG / ITU-T does not  
> make it  a
> mandatory part of a system solution, this is done by other standard   
> bodies
> like 3GPP, ETSI.
>
> 2. The IETF, similar to other standard  bodies is not rubber  
> stamping a
> specific solution, so you will most  probably see in the final  
> result some
> technology that carry  IPR.
>
> 3. If this group will be established, you will probably see here   
> the audio
> experts now working in ITU-T arguing the same issues since they  are  
> the
> expertise you need and they work for the same companies that are   
> already
> members of IETF.
>
> I think that if you have a specific codec  in mind you  can make it  
> publicly
> available maybe with quality  results and standardized in AVT a  
> payload
> specification.
>
> BTW: The  ITU is keeping a list of codecs (Not only ITU-T ones) in a  
> table
> that  describes their features.
>
> Regards
> Roni Even
>
> -----Original  Message-----
> From: [email-masked] [mailto:[email-masked]]   
> On Behalf
> Of Jason Fischl
> Sent: Wednesday, May 27, 2009 2:18 AM
> To:  [email-masked]
> Subject: [dispatch]  Proposal to form Internet Wideband Audio Codec WG
>
> All,
>
> I would  like to request agenda time inside the DISPATCH meeting to  
> propose
> the  formation of a new working group to define a Proposed Standard   
> wideband
> audio codec.
>
> The text of the proposal is below. Comments,  questions, and   
> suggestions
> welcomed.
>
> Regards,
> Jason
>
>
> Internet  Wideband Audio Codec (IWAC)
> Mailing Lists: TBD
> Chairs: TBD
> Area  Directorate: Real Time Applications (RAI)
>
> Purpose:
>
> This new  working group would be chartered with the purpose of  
> collecting
> expertise  within the IETF in order to review the design of audio   
> codecs
> specifically for use with the Internet. Unlike other SDOs, these   
> codecs
> would be optimized for use on the Internet, and as much as  possible  
> choose
> technology that does not require paying patent  royalties.
>
> The Internet Low Bit Rate Codec (iLBC)  work was done  in AVT but it  
> was felt
> that subsequent work should not be done in the AVT  working group.  
> This new
> working group will have as its primary purpose  the standardization  
> of a
> multi-purpose audio codec that can be used in  various situations on  
> the
> Internet. Some of the proposed  Internet-specific requirements  
> include:
> * scalable and adaptive bit  rate;
> * various sampling rate profiles from narrow-band to  super-wideband;
> * scalable complexity;
> * low latency; and
> *  resilience to packet loss.
>
> There are a number of wide-band capable  codecs defined by other  
> SDOs. For
> instance, G.722 is seeing adoption in  Enterprise applications since  
> it is
> relatively simple and low-cost to  deploy. However, it has a high,  
> fixed
> bitrate and is not appropriate for  mobile applications where spectrum
> efficiency is important or in consumer  applications where available
> bandwidth is fluctuating or limited. G.722.2  (AMR-wideband) has  
> been adopted
> by the 3GPP as a wideband standard for  mobile applications. G.722.2  
> is
> relatively high cost due to patent  royalties and is seeing minimal
> deployments outside of mobile handsets  making it challenging to  
> create
> wideband experiences on Internet-capable  mobile devices when  
> extending
> beyond the mobile network. In other cases,  proprietary codecs are  
> being
> adopted which further create islands with no  interoperability unless
> widespread transcoding is performed. Transcoding  leads to higher  
> costs and
> lower quality.
>
> The goal of this working  group is to define a single codec with  
> multiple
> profiles which can be  made available on a wide variety of Internet- 
> capable
> devices including  low-power, mobile devices as well as devices  
> capable of
> utilizing high  quality, high bitrate audio.
>
> Proposed Deliverables:
>
> 1)  Requirements for wideband, Internet audio codec(s).
> 2) Algorithm  description for wideband, Internet audio codec(s) as   
> Proposed
> Standard.
> 3) Specification of payload format(s) for defined  codecs as  Proposed
> Standard
>
> _______________________________________________
> dispatch  mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dispatch
>
> _______________________________________________
> dispatch  mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dispatch
>
>
>
>
>
>
> _______________________________________________
> dispatch mailing  list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dispatch
>
> _______________________________________________
> dispatch mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dispatch

---

From: Cullen Jennings <[email-masked]>
Date: Mon, 1 Jun 2009 18:12:11 -0600

On Jun 1, 2009, at 4:02 PM, Eric Burger wrote:

> Since I like to keep people away from trouble, I won't quote  
> existing IPR. Let's look at some expired IPR instead.
>

That's an interesting assertion given LPC was published in the late  
60's and research goes back earlier than that. Would you like to  
comment on "valid patents" :-)